<?php

namespace App\Model;

use App\Data\TacticInfo;
use App\Gateway\TacticInfoGateway;

class TacticModel {
    const TACTIC_DEFAULT_NAME = "Nouvelle tactique";

    private TacticInfoGateway $tactics;

    /**
     * @param TacticInfoGateway $tactics
     */
    public function __construct(TacticInfoGateway $tactics) {
        $this->tactics = $tactics;
    }

    public function makeNew(): TacticInfo {
        return $this->tactics->insert(self::TACTIC_DEFAULT_NAME);
    }

    public function get(int $id): ?TacticInfo {
        return $this->tactics->get($id);
    }

}